package com.school.project.service.teacher;

import com.school.project.dto.teacher.AddAssessmentDTO;
import com.school.project.dto.teacher.AddSectionDTO;
import com.school.project.dto.teacher.UploadMarksDTO;
import com.school.project.model.marks.Assessment;
import com.school.project.model.marks.Section;
import com.school.project.model.marks.StudentMarks;
import org.springframework.stereotype.Service;

@Service
public interface UploadMarksService {
    Assessment setAssessment(AddAssessmentDTO assessmentDTO);

    Section setSection(AddSectionDTO sectionDTO);

    void setMarks(UploadMarksDTO marksDTO);
}
